> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet NFT Collections

> Gets all NFT contracts held by an owner address.



## OpenAPI

````yaml /reference/api-json.json get /nft/owned-collections
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /nft/owned-collections:
    get:
      tags:
        - NFT
      summary: Get Wallet NFT Collections
      description: Gets all NFT contracts held by an owner address.
      operationId: WalletNFTContracts
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 10143
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 130
              - 1301
              - 137
              - 168587773
              - 1868
              - 1946
              - 2741
              - 300
              - 324
              - 33111
              - 33139
              - 360
              - 37111
              - 42161
              - 421614
              - 43113
              - 43114
              - 480
              - 4801
              - 534351
              - 534352
              - 5371
              - 5373
              - 59141
              - 59144
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 999999999
            type: number
        - name: walletAddress
          required: true
          in: query
          description: The address of the wallet to query.
          schema:
            default: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            example: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            type: string
        - name: cursor
          required: false
          in: query
          description: Cursor from previous query to get next page of results.
          schema:
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTOwnedContractsResponse'
components:
  schemas:
    NFTOwnedContractsResponse:
      type: object
      properties:
        contracts:
          type: array
          items:
            $ref: '#/components/schemas/Contract'
        cursor:
          type: string
          example: >-
            ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==
      required:
        - contracts
        - cursor
    Contract:
      type: object
      properties:
        address:
          type: string
          example: '0x000386E3F7559d9B6a2F5c46B4aD1A9587D59Dc3'
        name:
          type: string
          example: Bored Ape Nike Club
        symbol:
          type: string
          example: BANC
        totalSupply:
          type: string
          example: '24'
        tokenType:
          type: string
          example: ERC721
        contractDeployer:
          type: string
          example: '0x51D7D428041E23ef51422e110dfEfF906e821CFe'
        deployedBlockNumber:
          type: number
          example: 14276343
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
      required:
        - address
        - name
        - symbol
        - totalSupply
        - tokenType
        - contractDeployer
        - deployedBlockNumber
        - metadata
    Metadata:
      type: object
      properties:
        collectionName:
          type: string
          example: BAYC Otherside Land V3
        imageUrl:
          type: string
          example: >-
            https://i.seadn.io/gae/aR91WTPUmY4QBkle9qBum5dfjfCyh9n8zgYWyMAFJ-3vUUdquzasMpYyl2Jr6elxhZlPuI1gzthut99h0Z33F_k-xqev_jGldV7X?w=500&auto=format
        description:
          type: string
          example: >
            [Mint on the website](https://baycofficial.xyz)


            BAYC Otherside Land is an open world that enables users to build 3D
            immersive applications on top of several blockchains. In BAYC
            Otherside Land, users can take advantage of traditional 3D
            open-world features such as building 3D architectures, hosting
            virtual meetings, exhibiting NFTs, and more advanced
            functionality.Details on Twitter @BoredApeYC or PUBLIC MINT NOW
            LIVE!
        externalUrl:
          type: string
          example: https://baycofficial.xyz
        twitterUsername:
          type: string
          example: ''
        discordUrl:
          type: string
          example: ''
        bannerImageUrl:
          type: string
          example: >-
            https://i.seadn.io/gae/hzlwc-oAkRWAvvKT4XLKTik_5prlTdKGKvKnoqD_7nfRWBENkiAhqDiMbi2xI6-4sjEY4v-KJsMsa3uJkvIVC17cb0EpcMZsswDqjw?w=500&auto=format
      required:
        - collectionName
        - imageUrl
        - description
        - externalUrl
        - twitterUsername
        - discordUrl
        - bannerImageUrl
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````